# flowdock – Send a message to a flowdock

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Send a message to a flowdock team inbox or chat using the push API (see https://www.flowdock.com/api/team-inbox and https://www.flowdock.com/api/chat)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
external_user_name - |  | (chat only - required) Name of the "user" sending the message
from_address - |  | (inbox only - required) Email address of the message sender
from_name - |  | (inbox only) Name of the message sender
link - |  | (inbox only) Link associated with the message. This will be used to link the message subject in Team Inbox.
msg - / required |  | Content of the message
project - |  | (inbox only) Human readable identifier for more detailed message categorization
reply_to - |  | (inbox only) Email address for replies
source - |  | (inbox only - required) Human readable identifier of the application that uses the Flowdock API
subject - |  | (inbox only - required) Subject line of the message
tags - |  | tags of the message, separated by commas
token - / required |  | API token.

type
- / required

Choices:
- inbox
- chat

Whether to post to 'inbox' or 'chat'

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    - flowdock:
        type: inbox
        token: AAAAAA
        from_address: user@example.com
        source: my cool app
        msg: test from ansible
        subject: test subject

    - flowdock:
        type: chat
        token: AAAAAA
        external_user_name: testuser
        msg: test from ansible
        tags: tag1,tag2,tag3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Matt Coddington (@mcodd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.